## NAME

d.zoom - Allows the user to change the current geographic region settings interactively, with a mouse.
(GRASS Display Program)

## SYNOPSIS

d.zoom
d.zoom help
d.zoom [-fhj] [rast=name[,name,...]] [vector=name[,name,...]] [site=name[,name,...]] [zoom=value]

## DESCRIPTION

d.zoom allows the user to interactively adjust the settings of the current geographic region using a pointing device such as a mouse. Like g.region, d.zoom re-defines the settings of the geographic region. However, d.zoom allows the user to change the current region settings interactively, by either outlining the new region perimeter with a mouse, unzoom or pan the region. The graphics display is updated by the module.

## OPTIONS

### Flag:

-f
  Full menu with pan and zoom options.
-h
  Handheld mode, zoom by window with left button only.
-j
  Just redraw given maps using default colors.

### Parameter:

rast=name[,name,...]
  Name of raster map(s)
vector=name[,name,...]
  Name of vector map(s)
site=name[,name,...]
  Name of site map(s)
  Options: zoom
zoom=value
  magnification: >1.0 zooms in, <1.0 zooms out
  options: 0.001-1000.0
  default: 1.0

After the user types the command d.zoom a mouse-button menu will appear directing the user. Additionally the region settings can be modified by running g.region. The user may also alter the current geographic region by running the "region" option of the d.display program.

## NOTES

Although it is not necessary that the user display a map in the active display frame before running d.zoom, it is helpful to do this for reference.

## SEE ALSO

d.display
d.erase
d.pan
d.rast
d.sites
d.vect
g.region

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory
Improvements by Huidae Cho and Markus Neteler

Last changed: $Date: 2002/04/29 14:16:06 $